
import Loader
from Item import Item

class Anim(Item):
    def __init__(self, fileSchedule):
        Item.__init__(self)
        self.schedule = [a.strip() for a in file(fileSchedule).readlines()]
        self.current = 0
        self.pos = (0,0)

    def getSize(self):
        return Loader.getImage(self.schedule[self.current]).get_size()

    def nextAnim(self):
        self.current = (self.current + 1) % len(self.schedule)

    def paintOn(self, screen):
        surface = Loader.getImage(self.schedule[self.current])
        screen.blit(surface, self.pos)
