#!/usr/bin/env python

import pygame
import Game

TITLE = "Entrance"
SCREEN_SIZE = 640, 480
FPS = 20
REPEAT_DELAY_MILLIS = 100
REPEAT_INTERVAL_MILLIS = 60

def init():
    pygame.init()
    pygame.display.set_caption(TITLE)
    pygame.display.set_mode(SCREEN_SIZE, 0)
    pygame.key.set_repeat(REPEAT_DELAY_MILLIS, REPEAT_INTERVAL_MILLIS)

def run():
    clock = pygame.time.Clock()
    state = Game.Game()
    while not state.isDone():
        state.loop()
        clock.tick(FPS)

def main():
    init()
    run()

if __name__ == "__main__":
    main()
